summary refs log tree commit diff stats
path: root/scripts/test_interactive.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/test_interactive.sh')
-rwxr-xr-xscripts/test_interactive.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/scripts/test_interactive.sh b/scripts/test_interactive.sh
new file mode 100755
index 0000000..d309799
--- /dev/null
+++ b/scripts/test_interactive.sh
@@ -0,0 +1,15 @@
+#!/usr/bin/env sh
+
+tast_target="$1"
+
+[ -z "$test_target" ] && {
+    echo "You need to select a test target!" 1>&2
+    echo "Usage: test_interactive TEST_TARGET" 1>&2
+    exit 1
+}
+
+nix build .#checks.x86_64-linux."$tast_target".driver
+
+./result/bin/nixos-test-driver --interactive
+
+# vim: ft=sh